cURL
curl --request GET \
--url https://cloud.nrai.io/api/v1/app-connections \
--header 'Authorization: Bearer <token>'import requests
url = "https://cloud.nrai.io/api/v1/app-connections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://cloud.nrai.io/api/v1/app-connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"created": "<string>",
"updated": "<string>",
"externalId": "<string>",
"displayName": "<string>",
"type": "OAUTH2",
"pieceName": "<string>",
"projectIds": [
"<string>"
],
"scope": "PROJECT",
"status": "ACTIVE",
"platformId": "<string>",
"ownerId": "<string>",
"owner": {
"id": "<string>",
"email": "<string>",
"firstName": "<string>",
"status": "ACTIVE",
"platformRole": "ADMIN",
"lastName": "<string>",
"created": "<string>",
"updated": "<string>",
"externalId": "<string>",
"lastChangelogDismissed": "<string>",
"platformId": "<string>"
},
"metadata": {},
"flowIds": [
"<string>"
]
}
],
"next": "<string>",
"previous": "<string>"
}Connections
List Connections
List app connections
GET
/
v1
/
app-connections
cURL
Authorizations
Use your api key generated from the admin console
Query Parameters
Available options:
PROJECT Available options:
ACTIVE ⌘I